# Darsman Notification Center

Darsman Notification Center simply is a toolkit for sending messages using gRPC.

## Requirements

- Python (== 3.10)
- grpcio-tools (>= 1.62.1)
- pydantic (>= 2.7.0)


## Installation

Run the following command using pip:
```bash
    pip install dmnc(test)
```


## Sample code

```python
import asyncio
from dmnc import Notify


notify = Notify()

send_login_result = asyncio.run(
    notify.send_login(
        otp="123456",
        # recipient="user@example.com",        # either email or phone number
        recipient="09123456789",
    )
)
print(send_login_result)


send_discount_result = asyncio.run(
    notify.send_discount(
        recipient="user@example.com",        # either email or phone number
        # recipient="09123456789",
        user_name="سامان",
        course="پایتون",
        support_phone_number="09123456789",
        discount_code="MX3EH98",
        discount_percentage=25,
    )
)
print(send_discount_result)

```
